.u-boot_unpack: $(SRC)/u-boot
	cp -ar $< u-boot
	touch $@

.u-boot_configure: .u-boot_unpack
	cd u-boot && $(MAKE) $(UBOOT_CONFIG)_defconfig
	touch $@

.u-boot_compile: .u-boot_configure
	cd u-boot && $(MAKE) $(MAKEOPTS)
	touch $@

$(SRC)/$(LINUX_SRC):
	wget -O$(SRC)/$(LINUX_SRC) "$(LINUX_SRC_URI)"

.linux_unpack: $(SRC)/$(LINUX_SRC)
	tar xf $(SRC)/$(LINUX_SRC)
	touch $@

.linux_configure: .linux_unpack
	cd $(LINUX_DIR) && $(MAKE) $(LINUX_CONFIG)_defconfig
	touch $@

.linux_compile: .linux_configure
	cd $(LINUX_DIR) && $(MAKE) $(MAKEOPTS) zImage dtbs
	touch $@

boot:  .linux_compile $(BOOTLOADER_FILES)
	rm -rf boot
	mkdir boot
	cp -v $(BOOTLOADER_FILES) boot/
	cp -v $(LINUX_DIR)/arch/arm/boot/zImage boot/$(KERNEL_TARGET)
	cp -v $(LINUX_DIR)/arch/arm/boot/dts/*dtb boot/
	touch $@
info:
	@echo LINUX_SRC_URI $(LINUX_SRC_URI)
	@echo LINUX_SRC $(LINUX_SRC)
	@echo LINUX_DIR $(LINUX_DIR)
	@echo LINUX_SRC_URI $(LINUX_SRC_URI)
